
QGIS Application - Bug report #9102

Distance matrix wrong under processing

2013-11-20 07:20 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 17747

Description

New description:

N x T distance matrix is created without errors in Processing but output is wrong, see attached files.

----------------------

Old description:

Using the 2.1 weekly

See #9100 for data/settings.

With "Standard" I get an error:

"Builtin_fnction_or_method" object has no attribute "__getitem__"

==============

With Linear/summary I get a popup "select datum transformations for layer distance matrix":

a) What does this mean?

b) My cursor remains "busy", even though I seem to be able to use it. If I "cancel" this dialog, only one result exists in the matrix that was

created.

History

#1 - 2013-11-21 06:36 AM - Giovanni Manghi

- Category set to 61

I also see this issue with the standard N x T distance matrix.

The linear distance matrix seems to works ok.

The summary distance matrix works only if there are selected points. The expected behavior is to use all points if no one is selected and use just the

selected points, if some is selected.

Moreover in the summary distance matrix the column MIN is filled with all zeroes, while the tool in the vector menu fills it with the correct values.

#2 - 2014-10-04 11:48 AM - Giovanni Manghi

- Project changed from 78 to QGIS Application
- Affected QGIS version set to 2.4.0

- Assignee set to Victor Olaya

- Category deleted (61)

- Crashes QGIS or corrupts data set to No

#3 - 2014-10-04 11:49 AM - Giovanni Manghi

- Category set to Processing/QGIS

#4 - 2015-04-27 12:07 PM - Giovanni Manghi

- File dmftools.csv added

- Affected QGIS version changed from 2.4.0 to master

- Target version set to Version 2.8.2

- Subject changed from Distance matrix issues to Distance matrix wrong under processing

- File dmprocessing.csv added

#5 - 2015-05-14 03:02 AM - Giovanni Manghi

- Target version changed from Version 2.8.2 to Version 2.10

#6 - 2015-11-07 11:26 AM - Giovanni Manghi

- Target version deleted (Version 2.10)

#7 - 2016-09-26 05:27 PM - Victor Olaya

All 3 methods seem to be working fine. No errors raised, and results seems correct.

Looks like it is already fixed. Could you please recheck and confirm?

Thanks!

#8 - 2017-02-07 01:34 AM - Alexander Bruy

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Closed for the lack of feedback. Please reopen if necessary.

Files

dmprocessing.csv 1.43 MB 2015-04-27 Giovanni Manghi

dmftools.csv 1.43 MB 2015-04-27 Giovanni Manghi
